Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network51.2.236.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
51.2.236.0
Broadcast address
51.2.239.255
First usable
51.2.236.1
Last usable
51.2.239.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 3302EC00 · Integer 855829504 to 855830527
Reverse DNS zones
236.2.51.in-addr.arpa
237.2.51.in-addr.arpa
238.2.51.in-addr.arpa
239.2.51.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110011.00000010.11101100.0000000051.2.236.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00110011.00000010.11101100.0000000051.2.236.0
Broadcast00110011.00000010.11101111.1111111151.2.239.255
Split into smaller subnets/29

51.2.236.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
151.2.236.0/2951.2.236.1 to 51.2.236.651.2.236.76
251.2.236.8/2951.2.236.9 to 51.2.236.1451.2.236.156
351.2.236.16/2951.2.236.17 to 51.2.236.2251.2.236.236
451.2.236.24/2951.2.236.25 to 51.2.236.3051.2.236.316
551.2.236.32/2951.2.236.33 to 51.2.236.3851.2.236.396
651.2.236.40/2951.2.236.41 to 51.2.236.4651.2.236.476
751.2.236.48/2951.2.236.49 to 51.2.236.5451.2.236.556
851.2.236.56/2951.2.236.57 to 51.2.236.6251.2.236.636
951.2.236.64/2951.2.236.65 to 51.2.236.7051.2.236.716
1051.2.236.72/2951.2.236.73 to 51.2.236.7851.2.236.796
1151.2.236.80/2951.2.236.81 to 51.2.236.8651.2.236.876
1251.2.236.88/2951.2.236.89 to 51.2.236.9451.2.236.956
1351.2.236.96/2951.2.236.97 to 51.2.236.10251.2.236.1036
1451.2.236.104/2951.2.236.105 to 51.2.236.11051.2.236.1116
1551.2.236.112/2951.2.236.113 to 51.2.236.11851.2.236.1196
1651.2.236.120/2951.2.236.121 to 51.2.236.12651.2.236.1276
1751.2.236.128/2951.2.236.129 to 51.2.236.13451.2.236.1356
1851.2.236.136/2951.2.236.137 to 51.2.236.14251.2.236.1436
1951.2.236.144/2951.2.236.145 to 51.2.236.15051.2.236.1516
2051.2.236.152/2951.2.236.153 to 51.2.236.15851.2.236.1596
2151.2.236.160/2951.2.236.161 to 51.2.236.16651.2.236.1676
2251.2.236.168/2951.2.236.169 to 51.2.236.17451.2.236.1756
2351.2.236.176/2951.2.236.177 to 51.2.236.18251.2.236.1836
2451.2.236.184/2951.2.236.185 to 51.2.236.19051.2.236.1916
2551.2.236.192/2951.2.236.193 to 51.2.236.19851.2.236.1996
2651.2.236.200/2951.2.236.201 to 51.2.236.20651.2.236.2076
2751.2.236.208/2951.2.236.209 to 51.2.236.21451.2.236.2156
2851.2.236.216/2951.2.236.217 to 51.2.236.22251.2.236.2236
2951.2.236.224/2951.2.236.225 to 51.2.236.23051.2.236.2316
3051.2.236.232/2951.2.236.233 to 51.2.236.23851.2.236.2396
3151.2.236.240/2951.2.236.241 to 51.2.236.24651.2.236.2476
3251.2.236.248/2951.2.236.249 to 51.2.236.25451.2.236.2556
3351.2.237.0/2951.2.237.1 to 51.2.237.651.2.237.76
3451.2.237.8/2951.2.237.9 to 51.2.237.1451.2.237.156
3551.2.237.16/2951.2.237.17 to 51.2.237.2251.2.237.236
3651.2.237.24/2951.2.237.25 to 51.2.237.3051.2.237.316
3751.2.237.32/2951.2.237.33 to 51.2.237.3851.2.237.396
3851.2.237.40/2951.2.237.41 to 51.2.237.4651.2.237.476
3951.2.237.48/2951.2.237.49 to 51.2.237.5451.2.237.556
4051.2.237.56/2951.2.237.57 to 51.2.237.6251.2.237.636
4151.2.237.64/2951.2.237.65 to 51.2.237.7051.2.237.716
4251.2.237.72/2951.2.237.73 to 51.2.237.7851.2.237.796
4351.2.237.80/2951.2.237.81 to 51.2.237.8651.2.237.876
4451.2.237.88/2951.2.237.89 to 51.2.237.9451.2.237.956
4551.2.237.96/2951.2.237.97 to 51.2.237.10251.2.237.1036
4651.2.237.104/2951.2.237.105 to 51.2.237.11051.2.237.1116
4751.2.237.112/2951.2.237.113 to 51.2.237.11851.2.237.1196
4851.2.237.120/2951.2.237.121 to 51.2.237.12651.2.237.1276
4951.2.237.128/2951.2.237.129 to 51.2.237.13451.2.237.1356
5051.2.237.136/2951.2.237.137 to 51.2.237.14251.2.237.1436
5151.2.237.144/2951.2.237.145 to 51.2.237.15051.2.237.1516
5251.2.237.152/2951.2.237.153 to 51.2.237.15851.2.237.1596
5351.2.237.160/2951.2.237.161 to 51.2.237.16651.2.237.1676
5451.2.237.168/2951.2.237.169 to 51.2.237.17451.2.237.1756
5551.2.237.176/2951.2.237.177 to 51.2.237.18251.2.237.1836
5651.2.237.184/2951.2.237.185 to 51.2.237.19051.2.237.1916
5751.2.237.192/2951.2.237.193 to 51.2.237.19851.2.237.1996
5851.2.237.200/2951.2.237.201 to 51.2.237.20651.2.237.2076
5951.2.237.208/2951.2.237.209 to 51.2.237.21451.2.237.2156
6051.2.237.216/2951.2.237.217 to 51.2.237.22251.2.237.2236
6151.2.237.224/2951.2.237.225 to 51.2.237.23051.2.237.2316
6251.2.237.232/2951.2.237.233 to 51.2.237.23851.2.237.2396
6351.2.237.240/2951.2.237.241 to 51.2.237.24651.2.237.2476
6451.2.237.248/2951.2.237.249 to 51.2.237.25451.2.237.2556
6551.2.238.0/2951.2.238.1 to 51.2.238.651.2.238.76
6651.2.238.8/2951.2.238.9 to 51.2.238.1451.2.238.156
6751.2.238.16/2951.2.238.17 to 51.2.238.2251.2.238.236
6851.2.238.24/2951.2.238.25 to 51.2.238.3051.2.238.316
6951.2.238.32/2951.2.238.33 to 51.2.238.3851.2.238.396
7051.2.238.40/2951.2.238.41 to 51.2.238.4651.2.238.476
7151.2.238.48/2951.2.238.49 to 51.2.238.5451.2.238.556
7251.2.238.56/2951.2.238.57 to 51.2.238.6251.2.238.636
7351.2.238.64/2951.2.238.65 to 51.2.238.7051.2.238.716
7451.2.238.72/2951.2.238.73 to 51.2.238.7851.2.238.796
7551.2.238.80/2951.2.238.81 to 51.2.238.8651.2.238.876
7651.2.238.88/2951.2.238.89 to 51.2.238.9451.2.238.956
7751.2.238.96/2951.2.238.97 to 51.2.238.10251.2.238.1036
7851.2.238.104/2951.2.238.105 to 51.2.238.11051.2.238.1116
7951.2.238.112/2951.2.238.113 to 51.2.238.11851.2.238.1196
8051.2.238.120/2951.2.238.121 to 51.2.238.12651.2.238.1276
8151.2.238.128/2951.2.238.129 to 51.2.238.13451.2.238.1356
8251.2.238.136/2951.2.238.137 to 51.2.238.14251.2.238.1436
8351.2.238.144/2951.2.238.145 to 51.2.238.15051.2.238.1516
8451.2.238.152/2951.2.238.153 to 51.2.238.15851.2.238.1596
8551.2.238.160/2951.2.238.161 to 51.2.238.16651.2.238.1676
8651.2.238.168/2951.2.238.169 to 51.2.238.17451.2.238.1756
8751.2.238.176/2951.2.238.177 to 51.2.238.18251.2.238.1836
8851.2.238.184/2951.2.238.185 to 51.2.238.19051.2.238.1916
8951.2.238.192/2951.2.238.193 to 51.2.238.19851.2.238.1996
9051.2.238.200/2951.2.238.201 to 51.2.238.20651.2.238.2076
9151.2.238.208/2951.2.238.209 to 51.2.238.21451.2.238.2156
9251.2.238.216/2951.2.238.217 to 51.2.238.22251.2.238.2236
9351.2.238.224/2951.2.238.225 to 51.2.238.23051.2.238.2316
9451.2.238.232/2951.2.238.233 to 51.2.238.23851.2.238.2396
9551.2.238.240/2951.2.238.241 to 51.2.238.24651.2.238.2476
9651.2.238.248/2951.2.238.249 to 51.2.238.25451.2.238.2556
9751.2.239.0/2951.2.239.1 to 51.2.239.651.2.239.76
9851.2.239.8/2951.2.239.9 to 51.2.239.1451.2.239.156
9951.2.239.16/2951.2.239.17 to 51.2.239.2251.2.239.236
10051.2.239.24/2951.2.239.25 to 51.2.239.3051.2.239.316
10151.2.239.32/2951.2.239.33 to 51.2.239.3851.2.239.396
10251.2.239.40/2951.2.239.41 to 51.2.239.4651.2.239.476
10351.2.239.48/2951.2.239.49 to 51.2.239.5451.2.239.556
10451.2.239.56/2951.2.239.57 to 51.2.239.6251.2.239.636
10551.2.239.64/2951.2.239.65 to 51.2.239.7051.2.239.716
10651.2.239.72/2951.2.239.73 to 51.2.239.7851.2.239.796
10751.2.239.80/2951.2.239.81 to 51.2.239.8651.2.239.876
10851.2.239.88/2951.2.239.89 to 51.2.239.9451.2.239.956
10951.2.239.96/2951.2.239.97 to 51.2.239.10251.2.239.1036
11051.2.239.104/2951.2.239.105 to 51.2.239.11051.2.239.1116
11151.2.239.112/2951.2.239.113 to 51.2.239.11851.2.239.1196
11251.2.239.120/2951.2.239.121 to 51.2.239.12651.2.239.1276
11351.2.239.128/2951.2.239.129 to 51.2.239.13451.2.239.1356
11451.2.239.136/2951.2.239.137 to 51.2.239.14251.2.239.1436
11551.2.239.144/2951.2.239.145 to 51.2.239.15051.2.239.1516
11651.2.239.152/2951.2.239.153 to 51.2.239.15851.2.239.1596
11751.2.239.160/2951.2.239.161 to 51.2.239.16651.2.239.1676
11851.2.239.168/2951.2.239.169 to 51.2.239.17451.2.239.1756
11951.2.239.176/2951.2.239.177 to 51.2.239.18251.2.239.1836
12051.2.239.184/2951.2.239.185 to 51.2.239.19051.2.239.1916
12151.2.239.192/2951.2.239.193 to 51.2.239.19851.2.239.1996
12251.2.239.200/2951.2.239.201 to 51.2.239.20651.2.239.2076
12351.2.239.208/2951.2.239.209 to 51.2.239.21451.2.239.2156
12451.2.239.216/2951.2.239.217 to 51.2.239.22251.2.239.2236
12551.2.239.224/2951.2.239.225 to 51.2.239.23051.2.239.2316
12651.2.239.232/2951.2.239.233 to 51.2.239.23851.2.239.2396
12751.2.239.240/2951.2.239.241 to 51.2.239.24651.2.239.2476
12851.2.239.248/2951.2.239.249 to 51.2.239.25451.2.239.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses